com.pivotal.gemfirexd.thrift.internal

## Class ClientBlob

- java.lang.Object
- - com.pivotal.gemfirexd.thrift.internal.ClientBlob

All Implemented Interfaces:
  Blob

    public final class ClientBlob
    extends Object
    implements Blob

### Field Summary

Fields
`protected ClientFinalizer` `finalizer`
`protected long` `length`
`protected int` `lobId`
`protected ClientService` `service`
`protected boolean` `streamedInput`
`protected long` `streamOffset`

### Method Summary

Methods
`protected long` `checkOffset(long offset, long length)`
`protected void` `clear()`
`void` `free()`
`InputStream` `getBinaryStream()`
`InputStream` `getBinaryStream(long pos, long len)`
`byte[]` `getBytes(long pos, int length)`
`protected long` `getLength()`
`protected HostConnection` `getLobSource(boolean throwOnFailure, String op)`
`long` `length()`
`long` `position(Blob pattern, long start)`
`long` `position(byte[] pattern, long start)`
`OutputStream` `setBinaryStream(long pos)`
`int` `setBytes(long pos, byte[] bytes)`
`int` `setBytes(long pos, byte[] bytes, int boffset, int len)`
`protected long` `streamLength(boolean forceMaterialize)`
`void` `truncate(long len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Blob

`free, length, truncate`

### Field Detail

#### service

    protected final ClientService service

#### lobId

    protected final int lobId

#### finalizer

    protected ClientFinalizer finalizer

#### streamedInput

    protected boolean streamedInput

#### streamOffset

    protected long streamOffset

#### length

    protected long length

### Method Detail

#### streamLength

    protected long streamLength(boolean forceMaterialize)
                         throws SQLException

Throws:
  `SQLException`

#### clear

    protected void clear()

#### getBytes

    public byte[] getBytes(long pos,
                  int length)
                    throws SQLException

Specified by:
  `getBytes` in interface `Blob`
Throws:
  `SQLException`

#### getBinaryStream

    public InputStream getBinaryStream()
                                throws SQLException

Specified by:
  `getBinaryStream` in interface `Blob`
Throws:
  `SQLException`

#### getBinaryStream

    public InputStream getBinaryStream(long pos,
                              long len)
                                throws SQLException

Specified by:
  `getBinaryStream` in interface `Blob`
Throws:
  `SQLException`

#### setBytes

    public int setBytes(long pos,
               byte[] bytes,
               int boffset,
               int len)
                 throws SQLException

Specified by:
  `setBytes` in interface `Blob`
Throws:
  `SQLException`

#### setBytes

    public int setBytes(long pos,
               byte[] bytes)
                 throws SQLException

Specified by:
  `setBytes` in interface `Blob`
Throws:
  `SQLException`

#### setBinaryStream

    public OutputStream setBinaryStream(long pos)
                                 throws SQLException

Specified by:
  `setBinaryStream` in interface `Blob`
Throws:
  `SQLException`

#### position

    public long position(byte[] pattern,
                long start)
                  throws SQLException

Specified by:
  `position` in interface `Blob`
Throws:
  `SQLException`

#### position

    public long position(Blob pattern,
                long start)
                  throws SQLException

Specified by:
  `position` in interface `Blob`
Throws:
  `SQLException`

#### getLobSource

    protected final HostConnection getLobSource(boolean throwOnFailure,
                              String op)
                                         throws SQLException

Throws:
  `SQLException`

#### getLength

    protected long getLength()
                      throws SQLException

Throws:
  `SQLException`

#### length

    public final long length()
                      throws SQLException

Throws:
  `SQLException`

#### checkOffset

    protected long checkOffset(long offset,
                   long length)
                        throws SQLException

Throws:
  `SQLException`

#### truncate

    public void truncate(long len)
                  throws SQLException

Throws:
  `SQLException`

#### free

    public final void free()
                    throws SQLException

Throws:
  `SQLException`